Bug 973730 - Shared printers not shown in print dialog
Summary: Shared printers not shown in print dialog
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 15:00 UTC by Tim Waugh
Modified: 2013-06-29 18:40 UTC (History)
1 user (show)

Fixed In Version: gtk2-2.24.19-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 18:40:33 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 702455 None None None Never

Description Tim Waugh 2013-06-12 15:00:56 UTC
Description of problem:
Printers shared by CUPS 1.6 (as in Fedora 19) are not shown when using applications using gtk2 such as Firefox. Applications using gtk3, such as gedit, show the printers correctly.

Version-Release number of selected component (if applicable):
gtk2-2.24.18-1.fc19

How reproducible:
100%

Steps to Reproduce:
1.Configure printers on a Fedora 19 system, and share them
2.On another Fedora 19 system, with mDNS allowed through the firewall, start gedit and press control-P
3.Now start firefox and press control-P

Actual results:
gedit shows shared printers
firefox does not

Expected results:
Both should show shared printers

Additional info:
The avahi discovery in gtk3 could be back-ported to gtk2.

Comment 1 Fedora Update System 2013-06-26 10:14:24 UTC
gtk2-2.24.19-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtk2-2.24.19-3.fc19

Comment 2 Fedora Update System 2013-06-26 17:06:15 UTC
Package gtk2-2.24.19-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk2-2.24.19-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11705/gtk2-2.24.19-3.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-06-29 18:40:33 UTC
gtk2-2.24.19-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.